<script setup lang="ts">
import AuthLayout from "views/layouts/AuthLayout.vue" ;
import DefaultLayout from "views/layouts/DefaultLayout.vue" ;
import { computed } from 'vue';
import { useRoute } from 'vue-router'

const router = useRoute();
const isAuth = computed(() => router.meta?.requiresAuth);


</script>

<template>
  <AuthLayout v-if="isAuth" />
  <DefaultLayout v-else />
</template>`